mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

The values in the enumeration are used in the parameter of the method. These values are the same as those defined in the COM CLSCTX enumeration, which is used as the parameter in calls to the COM API CoRegisterClassObject.

For more information about CoRegisterClassObject and the CLSCTX enumeration, see the MSDN library.

Specifies the set of execution contexts in which a class object will be made available for requests to construct instances.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Disables activate-as-activator (AAA) activations for this activation only.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Enables activate-as-activator (AAA) activations for this activation only.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Allows the downloading of code from the Directory Service or the Internet.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Begin this activation from the default context of the current apartment.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  The code that manages objects of this class is an in-process handler.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Not used.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  The code that creates and manages objects of this class is a DLL that runs in the same process as the caller of the function specifying the class context.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Not used.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  The EXE code that creates and manages objects of this class runs on same machine but is loaded in a separate process space.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Disallows the downloading of code from the Directory Service or the Internet.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Specifies whether activation fails if it uses custom marshaling.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Overrides the logging of failures.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  A remote machine context.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Not used.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Not used.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Not used.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Not used.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationClassContext

  Not used.